Forms
Update a form
x-api-key<token>
In: header
Path Parameters
formId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/forms/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "workspaceId": "string", "name": "string", "slug": "string", "publicSlug": "string", "status": "DRAFT", "description": "string", "fields": { "sections": [ { "id": "string", "title": "string", "description": "string", "fields": [ { "id": "string", "slug": "string", "type": "string", "label": "string", "required": true, "placeholder": "string", "helperText": "string", "options": [ { "value": "string", "label": "string", "reveals": {} } ], "defaultValue": "string", "description": "string" } ] } ] }, "settings": {}, "showInCommunity": true, "submissionCount": 0 }}
Planeward Docs